org.eclipse.rdf4j.repository.util

## Class AbstractRDFInserter

- java.lang.Object
- - org.eclipse.rdf4j.rio.helpers.AbstractRDFHandler
  - - org.eclipse.rdf4j.repository.util.AbstractRDFInserter

- All Implemented Interfaces:
    RDFHandler
  Direct Known Subclasses:
    RDFInferencerInserter, RDFInserter, RDFSailInserter

      public abstract class AbstractRDFInserter
      extends AbstractRDFHandler

  An RDFHandler that adds RDF data to some RDF sink.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Resource[]` | `contexts` The contexts to add the statements to.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractRDFInserter(ValueFactory vf)` Creates a new RDFInserter object that preserves bnode IDs and that does not enforce any context upon statements that are reported to it.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `addNamespace(String prefix, String name)`
    `protected abstract void` | `addStatement(Resource subj, IRI pred, Value obj, Resource ctxt)`
    `void` | `endRDF()` Signals the end of the RDF data.
    `void` | `enforceContext(Resource... contexts)` Enforces the supplied contexts upon all statements that are reported to this RDFInserter.
    `boolean` | `enforcesContext()` Checks whether this RDFInserter enforces its contexts upon all statements that are reported to it.
    `Resource[]` | `getContexts()` Gets the contexts that this RDFInserter enforces upon all statements that are reported to it (in case `enforcesContext()` returns `true`).
    `void` | `handleNamespace(String prefix, String name)` Handles a namespace declaration/definition.
    `void` | `handleStatement(Statement st)` Handles a statement.
    `boolean` | `preservesBNodeIDs()` Checks whether this RDFInserter preserves blank node IDs.
    `void` | `setPreserveBNodeIDs(boolean preserveBNodeIDs)` Sets whether this RDFInserter should preserve blank node IDs.

    - ### Methods inherited from class org.eclipse.rdf4j.rio.helpers.AbstractRDFHandler

      `handleComment, startRDF`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### contexts

          protected Resource[] contexts

      The contexts to add the statements to. If this variable is a non-empty array, statements will be added to the corresponding contexts.

  - ### Constructor Detail

    - #### AbstractRDFInserter

          protected AbstractRDFInserter(ValueFactory vf)

      Creates a new RDFInserter object that preserves bnode IDs and that does not enforce any context upon statements that are reported to it.

  - ### Method Detail

    - #### setPreserveBNodeIDs

          public void setPreserveBNodeIDs(boolean preserveBNodeIDs)

      Sets whether this RDFInserter should preserve blank node IDs.
      Parameters:
        `preserveBNodeIDs` - The new value for this flag.

    - #### preservesBNodeIDs

          public boolean preservesBNodeIDs()

      Checks whether this RDFInserter preserves blank node IDs.

    - #### enforceContext

          public void enforceContext(Resource... contexts)

      Enforces the supplied contexts upon all statements that are reported to this RDFInserter.
      Parameters:
        `contexts` - the contexts to use. Use an empty array (not null!) to indicate no context(s) should be enforced.

    - #### enforcesContext

          public boolean enforcesContext()

      Checks whether this RDFInserter enforces its contexts upon all statements that are reported to it.
      Returns:
        `true` if it enforces its contexts, `false` otherwise.

    - #### getContexts

          public Resource[] getContexts()

      Gets the contexts that this RDFInserter enforces upon all statements that are reported to it (in case `enforcesContext()` returns `true`).
      Returns:
        A Resource[] identifying the contexts, or an empty array if no contexts is enforced.

    - #### addNamespace

          protected abstract void addNamespace(String prefix,
                                               String name)
                                        throws RDF4JException

      Throws:
        `RDF4JException`

    - #### addStatement

          protected abstract void addStatement(Resource subj,
                                               IRI pred,
                                               Value obj,
                                               Resource ctxt)
                                        throws RDF4JException

      Throws:
        `RDF4JException`

    - #### endRDF

          public void endRDF()
                      throws RDFHandlerException

      Description copied from interface: `RDFHandler`
      Signals the end of the RDF data. This method is called when all data has been reported.
      Specified by:
        `endRDF` in interface `RDFHandler`
      Overrides:
        `endRDF` in class `AbstractRDFHandler`
      Throws:
        `RDFHandlerException` - If the RDF handler has encountered an unrecoverable error.

    - #### handleNamespace

          public void handleNamespace(String prefix,
                                      String name)

      Description copied from interface: `RDFHandler`
      Handles a namespace declaration/definition. A namespace declaration associates a (short) prefix string with the namespace's URI. The prefix for default namespaces, which do not have an associated prefix, are represented as empty strings.
      Specified by:
        `handleNamespace` in interface `RDFHandler`
      Overrides:
        `handleNamespace` in class `AbstractRDFHandler`
      Parameters:
        `prefix` - The prefix for the namespace, or an empty string in case of a default namespace.
        `name` - The URI that the prefix maps to.

    - #### handleStatement

          public void handleStatement(Statement st)
                               throws RDFHandlerException

      Description copied from interface: `RDFHandler`
      Handles a statement.
      Specified by:
        `handleStatement` in interface `RDFHandler`
      Overrides:
        `handleStatement` in class `AbstractRDFHandler`
      Parameters:
        `st` - The statement.
      Throws:
        `RDFHandlerException` - If the RDF handler has encountered an unrecoverable error.

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.